Page MenuHomePhabricator

Some areas of Query Service are not translatable
Closed, ResolvedPublic

Description

Apparently some areas of the Query Service interface are not translated (tested in French and German). Probably because these areas are not translatable yet:

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptJul 25 2017, 6:29 PM
Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 31 2017, 9:45 AM
Lea_Lacroix_WMDE renamed this task from Two areas of Query Service are not translatable to Some areas of Query Service are not translatable.Aug 2 2017, 11:13 AM
Lea_Lacroix_WMDE updated the task description. (Show Details)

The "ms" part of "some results in some ms" seems to be from CLDR?

The "ms" part of "some results in some ms" seems to be from CLDR?

I don’t think so – it seems to be entirely hardcoded in index.html and embed.html:

<span class="label label-default"><span id="total-results"></span> Results in <span id="query-time"></span> ms </span></span> &nbsp;

Change 402391 had a related patch set uploaded (by Albert221; owner: Albert221):
[wikidata/query/gui@master] Make charts, placeholder and summary translatable

https://gerrit.wikimedia.org/r/402391

I've fixed everything that was mentioned and also improved capitalizations of letters for chart types.

Editor placeholder is set 1 second after initialization of Editor (on change too), because it occurs before $.i18n populates placeholder attribute with internationalized string. I tested this on *Fast 3G* network throttling on Chrome and it works fine. On *Slow 3G* it doesn't work, but website loads for 2.5 minutes and is so slow that's unusable so I don't think it's an issue.

Jonas triaged this task as Low priority.Jan 9 2018, 10:48 AM
Jonas edited projects, added Wikidata Query UI; removed Wikidata-Query-Service.
Jonas moved this task from Backlog to Done on the Wikidata Query UI board.

Change 402391 merged by jenkins-bot:
[wikidata/query/gui@master] Make charts, placeholder and summary translatable

https://gerrit.wikimedia.org/r/402391

Albert221 closed this task as Resolved.Jan 10 2018, 6:10 AM